/**********
 * Copyright (c) 2003-2004 Greg Parker.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY GREG PARKER ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 **********/

#ifndef INCLUDES_ARM_H
#define INCLUDES_ARM_H

#include "bn_armcalls.h"

#define NULL 0

#define BNerr(a,b) do { } while (0)
#define assert(a) do { } while (0)

#define asserttop(p, c) do { if (!(c)) assert_failed((p), __LINE__); } while (0)

#define OPENSSL_cleanse(a,b) do { } while(0)

// prototypes for arm->68k calls
// fixme put these somewhere else

// pssh functions
void *arena_malloc(bn_globals *g, uint32_t sizeARM);
void arena_free(bn_globals *g, void *ptrARM);

int32_t RAND_pseudo_bytes(bn_globals *g, char *bufARM, uint32_t lenARM);
int32_t RAND_bytes(bn_globals *g, char *bufARM, uint32_t lenARM);

void assert_failed(bn_globals *g, uint32_t which);

// gcc builtin
void *memset(void *a, int c, uint32_t len);


#endif
